Bug 1285428 - Review Request: perl-Crypt-ScryptKDF - Scrypt password based key derivation function
Review Request: perl-Crypt-ScryptKDF - Scrypt password based key derivation f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 10:01 EST by Denis Fateyev
Modified: 2015-12-26 21:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-17 03:52:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Denis Fateyev 2015-11-25 10:01:03 EST
Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Crypt-ScryptKDF.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Crypt-ScryptKDF-0.009-1.fc24.src.rpm
Description: Scrypt is a password-based key derivation function (like for example PBKDF2). Scrypt was designed to be "memory-hard" algorithm in order to make it expensive to perform large scale custom hardware attacks.
Fedora Account System Username: dfateyev

Koji rawhide sratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11978303
Comment 1 Jitka Plesnikova 2015-11-25 10:59:30 EST
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --requires perl-Crypt-ScryptKDF-0.009-1.fc24.x86_64.rpm | sort | uniq -c
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.14)(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.4)(64bit)
      1 libperl.so.5.22()(64bit)
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Crypt::OpenSSL::Random)
      1 perl(Exporter)
      1 perl(MIME::Base64)
      1 perl(XSLoader)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rtld(GNU_HASH)

Binary requires are Ok.

$ rpm -qp --provides perl-Crypt-ScryptKDF-0.009-1.fc24.x86_64.rpm | sort | uniq -c
      1 perl(Crypt::ScryptKDF) = 0.009
      1 perl-Crypt-ScryptKDF = 0.009-1.fc24
      1 perl-Crypt-ScryptKDF(x86-64) = 0.009-1.fc24
Binary provides are Ok.

$ rpmlint ./perl-Crypt-ScryptKDF*
perl-Crypt-ScryptKDF.src: W: spelling-error Summary(en_US) Scrypt -> Crypt, S crypt, Crypts
perl-Crypt-ScryptKDF.src: W: spelling-error %description -l en_US Scrypt -> Crypt, S crypt, Crypts
perl-Crypt-ScryptKDF.x86_64: W: spelling-error Summary(en_US) Scrypt -> Crypt, S crypt, Crypts
perl-Crypt-ScryptKDF.x86_64: W: spelling-error %description -l en_US Scrypt -> Crypt, S crypt, Crypts
perl-Crypt-ScryptKDF.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/perl-Crypt-ScryptKDF/README
2 packages and 1 specfiles checked; 0 errors, 5 warnings.

FIX: Please fix the encoding of README


BuildRequires are almost ok
FIX: Please add gcc and perl-devel, because it is XS package
FIX: Please remove BR perl(ExtUtils::CBuilder), it is not used
TODO: perl(strict) and perl(warnings) should be part of the first section BRs,
      because they are used in Build.PL

Please correct all 'FIX' issues and consider fixing 'TODO' items and provide new spec file.
Comment 2 Upstream Release Monitoring 2015-11-25 11:31:27 EST
dfateyev's scratch build of perl-Crypt-ScryptKDF-0.009-2.fc20.denf.src.rpm for epel7 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11979120
Comment 3 Denis Fateyev 2015-11-25 11:57:18 EST
Thanks for the review, Jitka.

- README eol encoding fixed;
- BR are justified, deps from TODO moved on top.

Spec URL: http://www.fateyev.com/RPMS/Fedora22/perl-Crypt-ScryptKDF.spec
SRPM URL: http://www.fateyev.com/RPMS/Fedora22/perl-Crypt-ScryptKDF-0.009-2.fc24.src.rpm

Koji rawhide scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=11979197
Comment 4 Jitka Plesnikova 2015-11-25 12:02:55 EST
It looks good now.

Approved.
Comment 5 Till Maas 2015-11-26 16:31:27 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Crypt-ScryptKDF
Comment 6 Fedora Update System 2015-12-08 16:17:15 EST
perl-Crypt-ScryptKDF-0.009-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ce955af3d1
Comment 7 Fedora Update System 2015-12-08 16:18:24 EST
perl-Crypt-ScryptKDF-0.009-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-73571cdca5
Comment 8 Fedora Update System 2015-12-08 16:19:24 EST
perl-Crypt-ScryptKDF-0.009-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7567178e6
Comment 9 Fedora Update System 2015-12-08 16:20:32 EST
perl-Crypt-ScryptKDF-0.009-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a0b2afd9a0
Comment 10 Fedora Update System 2015-12-09 00:20:09 EST
perl-Crypt-ScryptKDF-0.009-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Crypt-ScryptKDF'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-73571cdca5
Comment 11 Fedora Update System 2015-12-09 00:49:40 EST
perl-Crypt-ScryptKDF-0.009-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update perl-Crypt-ScryptKDF'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-ce955af3d1
Comment 12 Fedora Update System 2015-12-09 18:23:34 EST
perl-Crypt-ScryptKDF-0.009-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Crypt-ScryptKDF'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f7567178e6
Comment 13 Fedora Update System 2015-12-09 23:56:08 EST
perl-Crypt-ScryptKDF-0.009-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Crypt-ScryptKDF'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a0b2afd9a0
Comment 14 Fedora Update System 2015-12-17 03:52:04 EST
perl-Crypt-ScryptKDF-0.009-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-12-18 02:53:26 EST
perl-Crypt-ScryptKDF-0.009-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-12-26 18:24:00 EST
perl-Crypt-ScryptKDF-0.009-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-12-26 21:52:56 EST
perl-Crypt-ScryptKDF-0.009-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.